%beregning av optimalt luketverrsnitt og lengde p lukeinnstping for
%sugerrsluke
%skrevet av Knut ygard, NTNU Vannkraftlaboratoriet 2008

Q_max=65.2;
innlopstap=0.03;
diffusortap=0.1;
tapskostnad=7686786.184;%[kr/m]
A1=54;
H=sqrt(A1);
step=0.25;
for A3=10:step:20;
    for L=0:step:10;
        i=(A3-10)/step+1;
        j=L/step+1;
    K_luke(i,j)=0.3731*A3^(0.6428)*1000000*1.5*1.09;
    K_innstoping(i,j)=(11.16*A1+186)*1000*1.2*(H+2*L)/(150/20);
    A2=A3*(1+2*tan(8*pi/180)*L)^2;
    if A2>A1
        A2=A1;
    end
    trykktap=(Q_max/A2)^2-(Q_max/A1)^2;
    hf=((innlopstap+diffusortap)*(Q_max/A3)^2+trykktap)/(2*9.81);
    K_tap(i,j)=hf*tapskostnad;
    end
end
L=0:step:10;
A3=10:step:20;
K_total=K_luke+K_innstoping+K_tap;

% Klargjr figur:
figure(4)
clf
Title('konomisk dimensjonering av inntaksluke og innstping')
%axis([])
xlabel('Innstpingslengde [m]')
ylabel('Lukeareal[m2]')
zlabel('Totalkostnad')
grid
hold on
surfc(L,A3,K_total);
%plot3(L,A3,K_total); 
%plot(K_total); 
%legend('Tapskostnad','Investeringskostnad','Totalkostnad');

hold off