%i dette programmet beregnes optimalt tverrsnitt for tunnel sjakt og
%innstpt rr. Summen av investeringskostnader og falltapskostnad skal bli
%minst mulig.
%skrevet av Knut ygard, NTNU Vannkraftlaboratoriet 2008
clear all
%tunnel
Q_max=65.2;
M=33;
tapskostnad=7686786.184;%[kr/m]
for A=20:1:80
hf=Q_max^2/(0.256^(4/3)*M^2*A^(8/3));
K_tap_t(A-19)=hf*tapskostnad;
K_inv_t(A-19)=(0.18*A+11.2)*1000*1.2;
K_tot_t=K_tap_t+K_inv_t;
end
A=[20:1:80];
Total_tunnel=[A; K_tap_t;K_inv_t; K_tot_t];
% Klargjr figur:
figure(1)
clf
Title('konomisk dimensjonering av tunnel')
%axis([])
xlabel('Areal[m2]')
ylabel('Kostnad [kr]')
grid
hold on
plot(A,K_tap_t,'green'); 
plot(A,K_inv_t,'blue');
plot(A,K_tot_t,'red')
legend('Tapskostnad','Investeringskostnad','Totalkostnad');

hold off

%sjakt
M=37;
for A=10:1:40
hf=Q_max^2/(0.256^(4/3)*M^2*A^(8/3));
K_tap_s(A-9)=hf*tapskostnad;
K_inv_s(A-9)=34.9*exp(0.0196*A)*1000*1.2;
K_tot_s=K_tap_s+K_inv_s;
end
A=[10:1:40];
Total_sjakt=[A; K_tap_s;K_inv_s; K_tot_s];
% Klargjr figur:
figure(2)
clf
Title('konomisk dimensjonering av sjakt')
%axis([])
xlabel('Areal[m2]')
ylabel('Kostnad [kr]')
grid
hold on
plot(A,K_tap_s,'green'); 
plot(A,K_inv_s,'blue');
plot(A,K_tot_s,'red')
legend('Tapskostnad','Investeringskostnad','Totalkostnad');

hold off

%rr
f=0.015;
step=0.2;
teller=0;
for D=2:step:6
    teller=teller+1;
hf=f*Q_max^2/(2*9.81*(3.1415/4)^2*D^5);
K_tap_r(teller)=hf*tapskostnad;
%D/step-4
K_inv_r(teller)=16.8079*exp(0.453*D)*1.1*1000+(448*D+2111)*1.2;
K_tot_r=K_tap_r+K_inv_r;
end
D=[2:step:6];
Total_ror=[D; K_tap_r;K_inv_r; K_tot_r];
% Klargjr figur:
figure(3)
clf
Title('konomisk dimensjonering av rr')
xlabel('Diameter[m]')
ylabel('Kostnad [kr]')
grid
hold on
plot(D,K_tap_r,'green'); 
plot(D,K_inv_r,'blue');
plot(D,K_tot_r,'red')
legend('Tapskostnad','Investeringskostnad','Totalkostnad');

hold off